package aa4mm.core.type;



/**
 * This class represents a data associated with a validity interval
 * @author siebertj
 */
public class ValidData {

    /**
     * The data
     */
    protected SimulData data;

    /**
     * The validity interval
     */
    protected ValidityInterval validityInterval;

    public ValidData(SimulData myData, ValidityInterval myValidityInterval) {
        super();
        this.data = myData;
        this.validityInterval = myValidityInterval;
    }

    @Override
    public String toString() {

        return "D:" + validityInterval.getLowerBound() + ";" + validityInterval.getUpperBound() + ";" + data.toString();
    }

    public SimulData getData() {
        return data;
    }

    public void setData(SimulData data) {
        this.data = data;
    }

    public ValidityInterval getValidityInterval() {
        return validityInterval;
    }

    public void setValidityInterval(ValidityInterval validityInterval) {
        this.validityInterval = validityInterval;
    }
}
