package aa4mm.deployment.netlogo.type;

import aa4mm.core.type.SimulTime;



/**
 * A class to represent the Time in Netlogo
 * @author Julien Siebert
 */
public class NetLogoTime extends SimulTime {
	
	public NetLogoTime() {
		super();
	}

	public NetLogoTime(double myValue) {
		timeValue = myValue;
	}

	/**
	 * Translate time value given by a netlogo model into a value proper to the AA4MM architecture
	 */
	public void setTimeFromModel(Object myModelTimeValue) {		
		timeValue = (Double)myModelTimeValue;
	}

}
