package aa4mm.deployment.netlogo.type;

import java.util.Vector;

import aa4mm.core.type.SimulData;

/**
 * This class represent a vector of netlogo turtles
 * (useful to manipulate data from Netlogo)
 * @author siebertj
 */
public class VectorOfNetlogoTurtles extends SimulData {

    /**
     * The vector of netlogo turtles
     */
    private Vector<NetlogoTurtle> turtleVector;

    public VectorOfNetlogoTurtles() {
        super();
        turtleVector = new Vector<NetlogoTurtle>();
    }

    public VectorOfNetlogoTurtles(Vector<NetlogoTurtle> myTurtleVector) {
        super();
        this.turtleVector = myTurtleVector;
    }

    @Override
    public String toString() {
        String str = "";
        for (NetlogoTurtle tortuga : turtleVector) {
            str += tortuga.toString() + " ";
        }
        return str;
    }

    public Vector<NetlogoTurtle> getTurtleVector() {
        return turtleVector;
    }

    public void setTurtleVector(Vector<NetlogoTurtle> turtleVector) {
        this.turtleVector = turtleVector;
    }
}
