package examples.multilevel.data_type;

import examples.multilevel.coupling.optics.GroupInfos;
import examples.multilevel.coupling.optics.PositionInfos;

import java.util.ArrayList;

import aa4mm.core.type.SimulData;



public class GroupsFromInterpretationArtefact extends SimulData {
	
	ArrayList<GroupInfos> AgentIdGroupMap;
	
	

	public GroupsFromInterpretationArtefact(ArrayList<GroupInfos> agentIdGroupMap) {
		super();
		AgentIdGroupMap = agentIdGroupMap;
	}



	@Override
	public String toString() {
		String str = "";
		if(AgentIdGroupMap!=null){
			if(!AgentIdGroupMap.isEmpty()){
				for (GroupInfos groupId : AgentIdGroupMap) {
					for(PositionInfos tortugaId : groupId.getElements())
						str += "TG:"+tortugaId.getId()+";"+groupId.getIdentifier()+" ";
				}
			}
		}
		return str;
	}


	public void setAgentIdGroupMap(ArrayList<GroupInfos> list){
		AgentIdGroupMap=list;	
	}
	
	public ArrayList<GroupInfos> getAgentIdGroupMap() {
		return AgentIdGroupMap;
	}

}
