package aa4mm.core.coupling;

import aa4mm.core.type.SimulData;

/**
 * Operation applied on a data flow
 * 
 * @author Julien Siebert
 * 
 */
public interface GenericOperation {

	/**
	 * An operation on a set of data
	 * 
	 * @param someKindOfData The SimulData on which you want to make the operation
	 * @return the result of the operation
	 */
	public SimulData apply(SimulData someKindOfData);
}
