package examples.multilevel.data_type;

import examples.multilevel.coupling.optics.PositionInfos;

import java.util.TreeMap;

import aa4mm.core.type.*;


public class PositionsFromMacroAgent extends SimulData {
	
	TreeMap<PositionInfos, double[]> AgentMap;
	
	

	public PositionsFromMacroAgent(TreeMap<PositionInfos,double[]> agentIdGroupMap) {
		super();
		AgentMap = agentIdGroupMap;
	}



	@Override
	public String toString() {
		String str = "";
		if(AgentMap!=null){
			if(!AgentMap.isEmpty()){
				for (PositionInfos posId : AgentMap.descendingKeySet()) {
						str += "TG:"+posId.getId()+" ";
				}
			}
		}
		return str;
	}


	public void setAgentIdGroupMap(TreeMap<PositionInfos, double[]> list){
		AgentMap=list;	
	}
	
	public TreeMap<PositionInfos, double[]> getAgentIdGroupMap() {
		return AgentMap;
	}

}
