package util;

public class ConsoleLogger {

	private static ConsoleLogger INSTANCE;

	private boolean logging;

	private ConsoleLogger() {
		logging = false;
	}

	public static ConsoleLogger getInstance() {
		if (INSTANCE == null) {
			INSTANCE = new ConsoleLogger();
		}
		return INSTANCE;
	}

	public void setLogging(boolean doLog) {
		logging = doLog;
	}

	public boolean isLogging() {
		return logging;
	}

	public void log(String strToLog) {
		if (logging) {
			System.out.println(strToLog);
		}
	}
}
